Bug 1398444 - [abrt] opendmarc: mlfi_connect(): opendmarc killed by SIGSEGV
Summary: [abrt] opendmarc: mlfi_connect(): opendmarc killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: opendmarc
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Jenkins
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7594261cd52e9fdc422625cd4bc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-24 22:00 UTC by Adam Williamson
Modified: 2017-01-06 05:05 UTC (History)
1 user (show)

Fixed In Version: opendmarc-1.3.2-0.7.fc25 opendmarc-1.3.2-0.12.fc24 opendmarc-1.3.2-0.12.el6 opendmarc-1.3.2-0.12.el5 opendmarc-1.3.2-0.12.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-31 08:22:32 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (20.31 KB, text/plain)
2016-11-24 22:00 UTC, Adam Williamson
no flags Details
File: cgroup (148 bytes, text/plain)
2016-11-24 22:00 UTC, Adam Williamson
no flags Details
File: core_backtrace (2.23 KB, text/plain)
2016-11-24 22:00 UTC, Adam Williamson
no flags Details
File: dso_list (1.00 KB, text/plain)
2016-11-24 22:00 UTC, Adam Williamson
no flags Details
File: environ (242 bytes, text/plain)
2016-11-24 22:00 UTC, Adam Williamson
no flags Details
File: exploitable (82 bytes, text/plain)
2016-11-24 22:00 UTC, Adam Williamson
no flags Details
File: limits (1.29 KB, text/plain)
2016-11-24 22:00 UTC, Adam Williamson
no flags Details
File: maps (6.01 KB, text/plain)
2016-11-24 22:00 UTC, Adam Williamson
no flags Details
File: mountinfo (3.55 KB, text/plain)
2016-11-24 22:00 UTC, Adam Williamson
no flags Details
File: namespaces (102 bytes, text/plain)
2016-11-24 22:00 UTC, Adam Williamson
no flags Details
File: open_fds (293 bytes, text/plain)
2016-11-24 22:00 UTC, Adam Williamson
no flags Details
File: proc_pid_status (1.09 KB, text/plain)
2016-11-24 22:00 UTC, Adam Williamson
no flags Details
File: var_log_messages (305 bytes, text/plain)
2016-11-24 22:00 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2016-11-24 22:00:34 UTC
Description of problem:
OpenDMARC on Fedora 25 seems to consistently crash a few minutes after it starts (not sure if it's a time-based thing, or just that it crashes on certain problematic messages or after handling a certain number of messages).

Version-Release number of selected component:
opendmarc-1.3.2-0.3.beta0.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/sbin/opendmarc -c /etc/opendmarc.conf -P /var/run/opendmarc/opendmarc.pid
crash_function: mlfi_connect
executable:     /usr/sbin/opendmarc
global_pid:     8020
kernel:         4.8.8-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 3
type:           CCpp
uid:            494

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 mlfi_connect at opendmarc.c:1689
 #1 st_connectinfo at engine.c:1276
 #2 mi_engine at engine.c:409
 #3 mi_handle_session at handler.c:45
 #4 mi_thread_handle_wrapper at listener.c:600

Comment 1 Adam Williamson 2016-11-24 22:00:38 UTC
Created attachment 1224044 [details]
File: backtrace

Comment 2 Adam Williamson 2016-11-24 22:00:39 UTC
Created attachment 1224045 [details]
File: cgroup

Comment 3 Adam Williamson 2016-11-24 22:00:40 UTC
Created attachment 1224046 [details]
File: core_backtrace

Comment 4 Adam Williamson 2016-11-24 22:00:41 UTC
Created attachment 1224047 [details]
File: dso_list

Comment 5 Adam Williamson 2016-11-24 22:00:42 UTC
Created attachment 1224048 [details]
File: environ

Comment 6 Adam Williamson 2016-11-24 22:00:43 UTC
Created attachment 1224049 [details]
File: exploitable

Comment 7 Adam Williamson 2016-11-24 22:00:44 UTC
Created attachment 1224050 [details]
File: limits

Comment 8 Adam Williamson 2016-11-24 22:00:45 UTC
Created attachment 1224051 [details]
File: maps

Comment 9 Adam Williamson 2016-11-24 22:00:46 UTC
Created attachment 1224052 [details]
File: mountinfo

Comment 10 Adam Williamson 2016-11-24 22:00:47 UTC
Created attachment 1224053 [details]
File: namespaces

Comment 11 Adam Williamson 2016-11-24 22:00:48 UTC
Created attachment 1224054 [details]
File: open_fds

Comment 12 Adam Williamson 2016-11-24 22:00:49 UTC
Created attachment 1224055 [details]
File: proc_pid_status

Comment 13 Adam Williamson 2016-11-24 22:00:50 UTC
Created attachment 1224056 [details]
File: var_log_messages

Comment 14 Adam Williamson 2016-11-24 22:02:43 UTC
This may well be:

https://sourceforge.net/p/opendmarc/tickets/185/

Comment 15 Fedora Update System 2016-11-24 22:28:40 UTC
opendmarc-1.3.2-0.7.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-16c55d3061

Comment 16 Fedora Update System 2016-11-24 22:29:11 UTC
opendmarc-1.3.2-0.7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-61b2a31c65

Comment 17 Fedora Update System 2016-11-24 22:29:31 UTC
opendmarc-1.3.2-0.7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e94f822499

Comment 18 Fedora Update System 2016-11-24 22:29:50 UTC
opendmarc-1.3.2-0.7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dfebe30cda

Comment 19 Fedora Update System 2016-11-24 22:30:09 UTC
opendmarc-1.3.2-0.7.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a0f2020d51

Comment 20 Fedora Update System 2016-11-24 22:30:14 UTC
opendmarc-1.3.2-0.7.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-23163acc27

Comment 21 Fedora Update System 2016-11-27 08:47:55 UTC
opendmarc-1.3.2-0.7.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-23163acc27

Comment 22 Fedora Update System 2016-11-27 16:24:23 UTC
opendmarc-1.3.2-0.7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-61b2a31c65

Comment 23 Fedora Update System 2016-11-27 17:26:20 UTC
opendmarc-1.3.2-0.7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e94f822499

Comment 24 Fedora Update System 2016-11-27 22:58:32 UTC
opendmarc-1.3.2-0.7.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a0f2020d51

Comment 25 Fedora Update System 2016-11-28 01:55:34 UTC
opendmarc-1.3.2-0.7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dfebe30cda

Comment 26 Fedora Update System 2016-11-28 08:18:31 UTC
opendmarc-1.3.2-0.7.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-16c55d3061

Comment 27 Fedora Update System 2016-12-07 05:24:06 UTC
opendmarc-1.3.2-0.7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2016-12-13 03:12:35 UTC
opendmarc-1.3.2-0.8.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-61b2a31c65

Comment 29 Fedora Update System 2016-12-13 03:15:30 UTC
opendmarc-1.3.2-0.8.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dfebe30cda

Comment 30 Fedora Update System 2016-12-13 03:17:29 UTC
opendmarc-1.3.2-0.8.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-23163acc27

Comment 31 Fedora Update System 2016-12-13 20:18:21 UTC
opendmarc-1.3.2-0.10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e94f822499

Comment 32 Fedora Update System 2016-12-13 20:19:04 UTC
opendmarc-1.3.2-0.10.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-16c55d3061

Comment 33 Fedora Update System 2016-12-14 02:23:19 UTC
opendmarc-1.3.2-0.8.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dfebe30cda

Comment 34 Fedora Update System 2016-12-14 02:30:56 UTC
opendmarc-1.3.2-0.10.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dfebe30cda

Comment 35 Fedora Update System 2016-12-14 03:49:19 UTC
opendmarc-1.3.2-0.8.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-23163acc27

Comment 36 Fedora Update System 2016-12-14 03:49:55 UTC
opendmarc-1.3.2-0.8.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-61b2a31c65

Comment 37 Fedora Update System 2016-12-14 17:28:40 UTC
opendmarc-1.3.2-0.10.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-23163acc27

Comment 38 Fedora Update System 2016-12-14 17:34:49 UTC
opendmarc-1.3.2-0.10.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-61b2a31c65

Comment 39 Fedora Update System 2016-12-15 02:27:47 UTC
opendmarc-1.3.2-0.10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e94f822499

Comment 40 Fedora Update System 2016-12-15 02:46:19 UTC
opendmarc-1.3.2-0.10.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-16c55d3061

Comment 41 Fedora Update System 2016-12-15 02:48:48 UTC
opendmarc-1.3.2-0.10.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-23163acc27

Comment 42 Fedora Update System 2016-12-15 02:49:42 UTC
opendmarc-1.3.2-0.10.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-61b2a31c65

Comment 43 Fedora Update System 2016-12-15 05:02:30 UTC
opendmarc-1.3.2-0.10.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dfebe30cda

Comment 44 Fedora Update System 2016-12-20 02:07:06 UTC
opendmarc-1.3.2-0.12.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-23163acc27

Comment 45 Fedora Update System 2016-12-20 02:07:49 UTC
opendmarc-1.3.2-0.12.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dfebe30cda

Comment 46 Fedora Update System 2016-12-20 02:09:05 UTC
opendmarc-1.3.2-0.12.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e94f822499

Comment 47 Fedora Update System 2016-12-20 02:10:31 UTC
opendmarc-1.3.2-0.12.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-61b2a31c65

Comment 48 Fedora Update System 2016-12-20 02:11:31 UTC
opendmarc-1.3.2-0.12.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-16c55d3061

Comment 49 Fedora Update System 2016-12-20 19:21:22 UTC
opendmarc-1.3.2-0.12.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dfebe30cda

Comment 50 Fedora Update System 2016-12-20 20:47:14 UTC
opendmarc-1.3.2-0.12.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-16c55d3061

Comment 51 Fedora Update System 2016-12-20 20:47:21 UTC
opendmarc-1.3.2-0.12.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-23163acc27

Comment 52 Fedora Update System 2016-12-20 20:48:51 UTC
opendmarc-1.3.2-0.12.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-61b2a31c65

Comment 53 Fedora Update System 2016-12-31 08:22:32 UTC
opendmarc-1.3.2-0.12.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 54 Fedora Update System 2017-01-05 18:46:52 UTC
opendmarc-1.3.2-0.12.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 55 Fedora Update System 2017-01-06 00:19:12 UTC
opendmarc-1.3.2-0.12.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 56 Fedora Update System 2017-01-06 05:05:01 UTC
opendmarc-1.3.2-0.12.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.